Skip to main content
GET
/
pay_schedules
List pay schedules
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/pay_schedules \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "id": "<id>",
      "object": "pay_schedule",
      "data": {
        "business_entity": {
          "id": "<id>",
          "object": "business_entity",
          "links": {
            "self": "/business_entities/<id>"
          }
        },
        "title": "Default Schedule",
        "pay_frequency": "monthly",
        "anchor_pay_date": "2026-01-31",
        "anchor_start_of_pay_period": "2026-01-01",
        "anchor_end_of_pay_period": "2026-01-31",
        "generate_payrolls_from": null,
        "day_1": -1,
        "day_2": null,
        "pay_day_movement_setting": "inherit",
        "send_empty_pay_stubs": true,
        "pay_stub_settings": {
          "show_vacation_pay_balance": false
        },
        "custom_pay_periods_per_year": null,
        "is_editable": true,
        "is_deletable": true,
        "external_ref": null,
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/pay_schedules/<id>"
      }
    }
  ],
  "links": {
    "first": "/pay_schedules?business_entity_id=<id>&page=1",
    "last": "/pay_schedules?business_entity_id=<id>&page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 1,
    "has_more": false
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

business_entity_id
string
external_ref
string
expand
enum<string>[]
Available options:
business_entity,
payrolls

Response

200 - application/json

OK

object
string
read-only

The type of the object in Nmbr ("list").

data
object[]